#cookie-banner {
  position: fixed;
  z-index: 21;
  min-height: 100vh;
  min-width: 100vw;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: 0 auto;
  display: none;
  pointer-events: none;
}

#cookie-banner-notice {
  display: flex;
  justify-content: center;
  padding: 15px;
  overflow: auto;
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  top: auto;
  max-height: 100vh;
  width: 100%;
  max-width: 100vw;
  margin: 0 auto;
  z-index: 500;
  pointer-events: auto;
  animation: none !important;
  background: linear-gradient(135deg, var(--button-bg), #12b34a);
}

#cookie-banner .cookiebanner__main__banner_description {
  text-align: left;
  font-size: 16px;
  font-family: var(--cb-description-font-family);
  font-weight: var(--cb-description-font-weight);
  line-height: 1.5;
  margin-top: 0;
  margin-bottom: 0;
}

#cookie-banner button {
  background: none;
  border: 0;
  border-radius: 0;
  color: inherit;
  font: inherit;
  line-height: normal;
  overflow: visible;
  padding: 0;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

#cookie-banner button > * {
  pointer-events: none;
}

#cookie-banner .cookiebanner__main__inner {
  color: var(--nav-text);
  margin: 0 auto;
}

#cookie-banner .cookiebanner__buttons__details:hover,
#cookie-banner .cookiebanner__buttons__details:focus,
#cookie-banner .cookiebanner__buttons__details:active {
  text-decoration: underline;
}

#cookie-banner .cookiebanner__buttons__accept {
  border-radius: 3px;
  font-weight: bold;
  font-size: 15px;
  transition: 0.2s ease-in-out;
  font-family: var(--cb-button-font-family);
  color: var(--nav-text);
  border: 1px solid var(--nav-text);
  display: block;
  padding: 5px;
  text-align: center;
  width: 100%;
  min-width: 180px;
}

#cookie-banner .cookiebanner__buttons__accept:hover {
  color: var(--nav-text);
  background: var(--text);
  border: 1px solid var(--text);
}

#cookie-preferences-modal {
  animation: none !important;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 800px;
  background: white;
  padding: 26px;
  border-radius: 10px;
  display: none;
  z-index: 10000001;
  pointer-events: auto;
}

#cookie-preferences-modal .close-modal::before {
  content: "\2715";
}

#cookie-preferences-modal .close-modal:hover {
  opacity: 0.5;
}

#cookie-preferences-modal .close-modal {
  position: absolute;
  top: 5px;
  right: 10px;
  background: none;
  border: none;
  font-size: 18px;
  cursor: pointer;
  color: var(--text);
}
#cookie-preferences-modal p {
  margin-bottom: 10px;
}


#cookie-preferences-modal .cookie-modal-content {
  max-height: 500px;
  overflow-y: auto;
}

#cookie-preferences-modal .cookiebanner__preference {
  background: #f4f4f4;
  padding: 16px;
  width: 100%;
  margin-bottom: 12px;
}

#cookie-preferences-modal input[type="checkbox"] {
  appearance: none;
  position: absolute;
  width: 0;
  height: 0;
  opacity: 0;
  z-index: -1;
}

#cookie-preferences-modal .cookiebanner__preference__ui {
  width: 60px;
  height: 30px;
  background-color: #868e96;
  border-radius: 40px;
  position: relative;
  transition: background-color 0.2s ease-in-out;
  cursor: pointer;
  display: flex;
  flex-shrink: 0;
  align-items: center;
}

#cookie-preferences-modal .cookiebanner__preference__ui__handle {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 22px;
  height: 22px;
  background-color: white;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 2px;
  transform: translateY(-50%);
  transition: all 0.2s ease-in-out;
}

#cookie-preferences-modal
  input[type="checkbox"]:checked
  + .cookiebanner__preference__ui {
  background: linear-gradient(135deg, var(--button-bg), #12b34a);
}

#cookie-preferences-modal
  input[type="checkbox"]:checked
  + .cookiebanner__preference__ui
  .cookiebanner__preference__ui__handle {
  left: 50%;
  background: #fff;
}

#cookie-preferences-modal .sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
  clip: rect(0, 0, 0, 0);
  overflow: hidden;
}

#cookie-preferences-modal .disabled_btn {
  opacity: 0.5;
  cursor: not-allowed;
}

#cookie-preferences-modal .cookiebanner__preference__label {
  display: flex;
  align-items: center;
  cursor: pointer;
  gap: 10px;
}

#cookie-preferences-modal
  .cookiebanner__preference
  .cookiebanner__preference__label
  input[type="checkbox"]:disabled
  + .cookiebanner__preference__ui
  ~ .cookiebanner__preference__text {
  cursor: not-allowed;
}

#cookie-preferences-modal .cookiebanner__preference__text {
  font-size: 16px;
  font-weight: bold;
  color: #333;
}

#cookie-preferences-modal .cookiebanner__preference__description {
  line-height: 1.6;
  padding: 0 10px;
}

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.cookiebanner__accept-selection {
  background: linear-gradient(135deg, var(--button-bg), #12b34a);
  border: 2px solid #fff;
  border-radius: 3px;
  font-size: 15px;
  font-weight: bold;
  transition: 0.2s ease-in-out;
  font-family: var(--cb-button-font-family);
  color: #fff;
  display: block;
  padding: 16px 24px;
  text-align: center;
  width: 80%;
  margin: 20px auto 30px;
  cursor: pointer;
}

.cookiebanner__accept-selection:hover,
.cookiebanner__accept-selection:focus,
.cookiebanner__accept-selection:active {
  color: #2e2e2e;
  background: #fff;
  background: var(--cb-button-active-background, #fff);
  border: var(
    --cb-button-active-border,
    var(--cb-button-border, 2px solid #4d6172)
  );
}

#cookie-preferences-modal .cookiebanner__modal_title {
  font-size: calc(var(--font-heading-scale) * 1.9rem);
  font-weight: bold;
  margin: 0;
}

#cookie-preferences-modal .cookiebanner__modal_description {
  margin: 0;
  padding: 5px;
}

@media (max-width: 600px) {
  #cookie-banner .cookiebanner__main__description {
    line-height: 1.1 !important;
    font-size: 14px !important;
  }

  #cookie-banner .cookiebanner__buttons {
    margin-top: 0 !important;
  }

  #cookie-banner .cookiebanner__buttons__accept {
    height: 30px;
    width: 50%;
    display: grid;
    align-content: center;
    min-width: unset;
    margin-top: 10px;
  }

  #cookie-preferences-modal {
    width: 380px;
  }
}

@media (min-width: 800px) {
  #cookie-banner .cookiebanner__main__inner {
    align-items: center;
    display: flex;
  }

  #cookie-banner .cookiebanner__main__content {
    margin-right: 48px;
  }

  #cookie-banner .cookiebanner__main__banner_description {
    font-size: 16px;
  }

  #cookie-banner .cookiebanner__buttons {
    margin-top: 0;
    flex-shrink: 0;
  }
}